[Plug-In] Community Applications


3348 posts in this topic Last Reply

Recommended Posts

  • Replies 3.3k
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Community Applications (aka CA)     This thread is rather long, and it is NOT necessary to read it in order to utilize Community Applications (CA)  Just install the plugin, go to

My co-workers wondered why I was taking off my shirt.  They are still baffled why I have to show my belly button to a squid.  😁   

Just a note that currently the application feed is having some weird problems.  This has resulted in one entire existing repository being dropped, and a newly added one today not being added.  Templat

Posted Images

2 minutes ago, planetix said:

Github now reporting they are failing over a data storage system. I don't know if that means you'll need to re-sync your changes when done Squid but there you have it.

Git works.  Its GitHub.com (the front end) that's failing at the moment.  Once the posting states service back to normal I'll figure out what I need to do, if anything.

Link to post

So I am unable to do anything with the apps tab shows this.

 

"An update to Community Applications is Available. Click HERE to install the update

Select a Section or Category above

 

An error occurred. Could not find any Random Apps of the day"

 

Also when i click on the HERE for the update it says

 

"Getting update information...
Installing update...
plugin: updating: community.applications.plg
plugin: file doesn't exist or xml parse error"

Link to post
3 minutes ago, Medikherb said:

So I am unable to do anything with the apps tab shows this.

 

"An update to Community Applications is Available. Click HERE to install the update

Select a Section or Category above

 

An error occurred. Could not find any Random Apps of the day"

 

Also when i click on the HERE for the update it says

 

"Getting update information...
Installing update...
plugin: updating: community.applications.plg
plugin: file doesn't exist or xml parse error"

https://status.github.com/messages

 

Link to post

Now that everything is all back to normal, and I've got a couple of minutes, here's the low-down on the 21st's update

Quote

- Remove Legacy mode (pointless as a backup with new appfeed)
- Remove Developer Mode (related to Legacy Mode removal)

Legacy mode was always only in there is a backup for the circumstance of if the primary application feed went down (since I was not in control of the feed).  Due to the nature of the replacement appfeed system, if it goes down then Legacy mode will not work either.  Hence the code was pointless.

Quote

- Remove most post-processing of templates (appfeed now does this automatically)

Now the vast majority of checks, fixes etc are performed by the application feed itself instead of by CA.  Net result is that CA now only downloads a single processed file resulting in lower bandwidth and faster initialization.

Quote

- Changed: Now passthrough full description to dockerMan

Previously, CA sent through to dockerMan when installing a template a watered down Overview that wouldn't have had any formatting etc within it.  Now, CA sends through the unaltered overview for the user to see when installing a template.  Note that the appfeed still applies certain checks to the unaltered overview, and malicious code results in automatic blacklisting.

Quote

- Fixed: Prevent edge case of CA installing the same version of a plugin already installed

Hopefully these changes solve the weird case that pops up occasionally of where during an update the apps tab disappears completely.

Quote

- Changed: Pick up CA update available from appfeed

Now, whether or not you have unRaid checking for plugins, or on whatever frequency you may run it, CA will always let you know if it is out of date.  This is grabbed straight from the appfeed itself, so you may see that CA knows that an update is available but the plugins tab shows that there is no update available (trust me: CA is right :) )  As usual, you can install the update for CA either directly from CA or the plugins tab (after checking for updates).

Edited by Squid
Link to post

image.png.ef8a9063549fcb89a794fb27ce0749dd.png

 

If you can associate with Bubbles, then today's update finally gets around to supporting the Dynamix feature since 6.6.2 of Default Font Size (it also will support it via your Browser's setting if it has it).

 

Basically, everything will be resized according to whatever the font-size is set to.

 

Other changes:

Quote

- Fix regression error on what happens if browser window is resized
- Update credits
- Relocate search for easier CSS maintenance
- Fixed: Under certain circumstances, Swiping on mobile device to change page would display no results
- Fixed: Prevent plugins from getting categorized twice

Oh, and also suppress an error that IE always complained about in the HTML.  This does not mean however that CA is compatible with IE (it has problems with the popups.  CA is also 100% incompatible with Netscape Navigator ;) )

 

Edited by Squid
Link to post

Sumthin' odd happened. Tried to install a new container and got dumped to the screen to build my own template, hit back and got dumped to my server's homepage. Noticed there was an update to the Community app available, installed it successfully according to the dialog, interface seemed a little slow, went back to install the container and my Apps tab was missing. Seen this before so I tried to remove the CA plugin and the dialog told me it wasn't there and it got removed from the interface. Used the URL here to reinstall and the tab hasn't come back but I appear to be on the 10-28a release successfully.

 

I can see from above it looks like GitHub may be having issues, the status page linked says they're still "red" as of this morning. Not to pile on but just wanted to let you know things still might be dorked up. Might explain why the initial container attempt failed too. <shrug> No biggie, I'll play with other things. Really appreciate the effort and the software for sure!

Link to post

Ah, I see what's going on! Looks like a file is corrupt.

 

+==============================================================================
| Installing new package /boot/config/plugins/community.applications/community.applications-2018.10.28a-x86_64-1.txz
+==============================================================================

Verifying package community.applications-2018.10.28a-x86_64-1.txz.
Unable to install /boot/config/plugins/community.applications/community.applications-2018.10.28a-x86_64-1.txz: tar archive is corrupt (tar returned error code 2)

Link to post
6 hours ago, BLKMGK said:

Ah, I see what's going on! Looks like a file is corrupt.

 

+==============================================================================
| Installing new package /boot/config/plugins/community.applications/community.applications-2018.10.28a-x86_64-1.txz
+==============================================================================

Verifying package community.applications-2018.10.28a-x86_64-1.txz.
Unable to install /boot/config/plugins/community.applications/community.applications-2018.10.28a-x86_64-1.txz: tar archive is corrupt (tar returned error code 2)

Just did an uninstall / reinstall with no problems.  All I can suggest is to delete /config/plugins/community.applications from the flash drive and try it again.

Link to post

Hmm, some weirdness. I removed the plg manually and the directory as well, no joy. Put the directory back and it refuses to install as it says this is the same version. Replaced the PLG with a copy from the "old versions" directory. It attempts to install but again claims that the file is corrupt. I can open the file via 7zip and extract the tar, I can open that file too with 7zip. Both the PLG and the TXZ have current file dates with versions that match the latest. Permissions issue or some weirdness maybe?

 

Something funky going on, I think I'll reboot when I'm able and with crossed fingers see if things return to normal :(

Okay, bounced it and the apps tab is back. It also acted as if this was the first time installing the plug-in which seems right. Dunno', something maybe screwed up tar? Doesn't look like an issue on your end so I'll shrug and keep on trucking :D

Link to post

I am also having this tar issue and am unable to install it. I wonder if i can revert it to the older version?

 

Quote


plugin: downloading: https://raw.github.com/Squidly271/community.applications/master/archive/community.applications-2018.10.28a-x86_64-1.txz ... done

+==============================================================================
| Installing new package /boot/config/plugins/community.applications/community.applications-2018.10.28a-x86_64-1.txz
+==============================================================================

Verifying package community.applications-2018.10.28a-x86_64-1.txz.
Unable to install /boot/config/plugins/community.applications/community.applications-2018.10.28a-x86_64-1.txz: tar archive is corrupt (tar returned error code 2)
 

 

Link to post
8 hours ago, antmanlfe said:

I am also having this tar issue and am unable to install it. I wonder if i can revert it to the older version?

 

I would delete config/plugins/community.applications.plg from the flash drive (and config/plugins/community.applications), reboot then reinstall.  I've done another clean install / reinstall and there is no problem with the txz.  I'd guess an issue with RAM or the flash drive (or GitHub was just deciding to not play nice with you)

Link to post
6 hours ago, Elefantito said:

Is it possible to use CA to install something like this ? I mean, can we use it to search in github?

 

You can't search github, but you can search dockerhub if you enable it in CA settings. 

Link to post
9 hours ago, Elefantito said:

I mean, can we use it to search in github?

If the container is in github but NOT in dockerhub (most are in both), then you have to manually build it yourself via the appropriate commands.

Link to post

Today's update is a priority update (in at least my opinion).  In the course of testing a user's problem with a particular application, I found that CA was pulling the wrong application if 2 or more applications were named 100% identically.  This was caused mainly by a minor change in the application feed to lower its bandwidth requirements. (in this case, it was qbittorent).  Any issue which results in pulling the wrong application is treated as priority to me.

 

This is fixed now, but the real change is what happens if you should resize your browser when its on CA.  Much, much, much faster now at regenerating the display.

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.